<!DOCTYPE html>
<html lang="en" th:replace="common/masterpage :: masterpage(~{}, ~{::page}, ~{})" xmlns:th="http://www.thymeleaf.org">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <th:block th:fragment="preview">
    <div class="ui grid">
      <div class="row">
        <div class="four wide column">
          <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_RESOURCE}}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></h4>
          <div th:text="${timesheet.resource.name}"></div>
        </div>
        <div class="six wide column"></div>
        <div class="right aligned two wide column">
          <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_FORTNIGHT}}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></h4>
          <div th:text="${timesheet.startingDay.fortnight}"></div>
        </div>
        <div class="right aligned two wide column">
          <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_MONTH}}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></h4>
          <div th:text="${timesheet.startingDay.month}"></div>
        </div>
        <div class="right aligned two wide column">
          <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_YEAR}}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></h4>
          <div th:text="${timesheet.startingDay.year.id}"></div>
        </div>
      </div>
    </div>
    <br />
    <th:block th:if="${not #lists.isEmpty(timesheet.reviews)}">
      <table class="ui compact table" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}">
        <thead>
          <tr>
            <th class="ten wide" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_CONTRACT}}"></th>
            <th class="right aligned one wide" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ANALYSIS}}"></th>
            <th class="right aligned one wide" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_DESIGN}}"></th>
            <th class="right aligned one wide" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_DEVELOPMENT}}"></th>
            <th class="right aligned one wide" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_TEST}}"></th>
            <th class="right aligned one wide" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_OTHER}}"></th>
            <th class="right aligned one wide" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_TOTAL}}"></th>
          </tr>
        </thead>
        <tbody>
          <tr th:each="review : ${timesheet.reviews}">
            <td th:text="${review.description}"></td>
            <td class="right aligned " th:text="${review.analysis}"></td>
            <td class="right aligned" th:text="${review.design}"></td>
            <td class="right aligned" th:text="${review.development}"></td>
            <td class="right aligned" th:text="${review.test}"></td>
            <td class="right aligned" th:text="${review.other}"></td>
            <td class="right aligned" th:text="${review.total}"></td>
          </tr>
          <tr class="active">
            <td th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_TOTAL}}"></td>
            <td class="right aligned" th:text="${not #lists.isEmpty(timesheet.reviews) ? #aggregates.sum(timesheet.reviews.![analysis]) : 0}"></td>
            <td class="right aligned" th:text="${not #lists.isEmpty(timesheet.reviews) ? #aggregates.sum(timesheet.reviews.![design]) : 0}"></td>
            <td class="right aligned" th:text="${not #lists.isEmpty(timesheet.reviews) ? #aggregates.sum(timesheet.reviews.![development]) : 0}"></td>
            <td class="right aligned" th:text="${not #lists.isEmpty(timesheet.reviews) ? #aggregates.sum(timesheet.reviews.![test]) : 0}"></td>
            <td class="right aligned" th:text="${not #lists.isEmpty(timesheet.reviews) ? #aggregates.sum(timesheet.reviews.![other]) : 0}"></td>
            <td class="right aligned" th:text="${not #lists.isEmpty(timesheet.reviews) ? #aggregates.sum(timesheet.reviews.![total]) : 0}"></td>
          </tr>
        </tbody>
      </table>
      <div class="right floated right aligned column ui buttons" th:if="${timesheet.status.id == T(pt.com.scrumify.database.entities.TimesheetStatus).SUBMITTED}">
        <button class="ui negative button" th:onclick="reject([[${timesheet.id}]]);" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_REJECT}}" type="submit"></button>
        <div class="or"></div>
        <button class="ui positive button" th:onclick="approve([[${timesheet.id}]]);" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_CONFIRM}}" type="submit"></button>
      </div>
    </th:block>
  </th:block>
</body>
</html>
